Primer (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf.impl

## Class Primer

- java.lang.Object
- - tv.amwa.maj.io.mxf.impl.Primer

- All Implemented Interfaces:
    Map<Short,UL>

      public class Primer
      extends Object
      implements Map<Short,UL>

  Mapping of local tags to metadata definitions.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Primer()`
    `Primer(short nextDynamic)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(Object key)`
    `boolean` | `containsValue(Object value)`
    `Set<Map.Entry<Short,UL>>` | `entrySet()`
    `UL` | `get(Object key)`
    `boolean` | `isEmpty()`
    `Set<Short>` | `keySet()`
    `short` | `lookup(UL itemUL, short tryTag)`
    `UL` | `put(Short key, UL value)`
    `void` | `putAll(Map<? extends Short,? extends UL> t)`
    `int` | `readValue(byte[] buffer)`
    `UL` | `remove(Object key)`
    `int` | `size()`
    `static short` | `staticLookup(UL itemUL, short tryTag)`
    `Collection<UL>` | `values()`
    `int` | `writePrimer(ByteBuffer buffer)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### Primer

          public Primer(@UInt16
                        short nextDynamic)

    - #### Primer

          public Primer()

  - ### Method Detail

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map<Short,UL>`

    - #### containsKey

          public boolean containsKey(Object key)

      Specified by:
        `containsKey` in interface `Map<Short,UL>`

    - #### containsValue

          public boolean containsValue(Object value)

      Specified by:
        `containsValue` in interface `Map<Short,UL>`

    - #### entrySet

          public Set<Map.Entry<Short,UL>> entrySet()

      Specified by:
        `entrySet` in interface `Map<Short,UL>`

    - #### get

          public UL get(Object key)

      Specified by:
        `get` in interface `Map<Short,UL>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Map<Short,UL>`

    - #### keySet

          public Set<Short> keySet()

      Specified by:
        `keySet` in interface `Map<Short,UL>`

    - #### put

          public UL put(Short key,
                        UL value)

      Specified by:
        `put` in interface `Map<Short,UL>`

    - #### putAll

          public void putAll(Map<? extends Short,? extends UL> t)

      Specified by:
        `putAll` in interface `Map<Short,UL>`

    - #### remove

          public UL remove(Object key)

      Specified by:
        `remove` in interface `Map<Short,UL>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Map<Short,UL>`

    - #### values

          public Collection<UL> values()

      Specified by:
        `values` in interface `Map<Short,UL>`

    - #### readValue

          @UInt32
          public int readValue(byte[] buffer)

    - #### writePrimer

          @UInt32
          public int writePrimer(ByteBuffer buffer)

    - #### lookup

          @UInt16
          public short lookup(UL itemUL,
                                      @UInt16
                                      short tryTag)

    - #### staticLookup

          @UInt16
          public static short staticLookup(UL itemUL,
                                                   @UInt16
                                                   short tryTag)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.